@font-face {
    font-family: 'Agbalumo';
    src: url('/Agbalumo-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'K2D';
    src: url('/K2D-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'K2D-Thin';
    src: url('/K2D-Thin.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

html {
    font-size: 100%;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: sans-serif;
    color: #fff;
    height: 100vh;
    background: linear-gradient(300deg, #27313A, #697173);
    overflow: hidden;

    -webkit-font-smoothing: antialiased;
}

/* HEADER */
header {
    padding: 6px 0px 0px 17px;
}

header h2 {
    font-family: 'Agbalumo', sans-serif;
    font-weight: 400;
    font-size: 1.94rem;
    opacity: 0.7;
}

.versao {
    font-family: 'K2D-Thin', sans-serif;
    font-weight: 100;
    font-size: 0.94rem;
    color: rgb(255, 255, 255);
    padding-top: auto;
}

/* SOCIAL */
.social {
    position: fixed;
    left: 15px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.social a {
    display: flex;
    align-items: center;
    justify-content: center;
}

.social img {
    width: 18px;
    opacity: 0.6;
    cursor: pointer;
    transition: 0.3s;
    display: block;
}

.social img:hover {
    opacity: 1;
}

/* MAIN */
main {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 60px;
    min-height: calc(100vh - 120px);
    padding-left: clamp(40px, 8vw, 150px);
    padding-top: 30px;
}

/* LEFT */
.left {
    max-width: 600px;
    margin-bottom:20px;
}

.left h1 {
    font-family: 'Agbalumo', sans-serif;
    font-weight: 400;
    font-size: clamp(2.5rem, 5vw, 4rem);
    margin-bottom: 5px;
    white-space: nowrap;
}

.left p {
    font-family: 'K2D-Thin', sans-serif;
    font-weight: 300;
    opacity: 0.8;
    line-height: 1.5;
    margin-bottom: 90px;
    font-size: clamp(0.9rem, 1.2vw, 1rem);
}

.buttons {
    display: flex;
    gap: 20px;
}

button {
    font-family: 'K2D', sans-serif;
    font-weight: 300;
    font-size: 1rem;
    padding: 10px 25px;
    border-radius: 100px;
    border: none;
    cursor: pointer;
    transition: 0.3s;
}

.primary {
    background: #1f252b;
    color: #fff;
}

.primary:hover {
    background: #151a1f;
}

.secondary {
    background: transparent;
    color: #fff;
    border: 1px solid rgba(255,255,255,0.2);
}

.secondary:hover {
    background: rgba(255,255,255,0.05);
}

/* RIGHT */
.right {
    font-family: 'K2D', sans-serif;
    font-weight: 300;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 25px;
    justify-content: center;

    min-width: 400px;
    align-items: flex-end;
}

.right .top {
    position: absolute;
    top: -40px;
    right: 0;
    opacity: 0.8;
}

/* CARD */
.card {
    width: 100%;
    max-width: 380px;
    padding: 15px 0px 10px 0px;
    border-radius: 12px;
    background: rgba(255,255,255,0.05);
    border: 1px solid rgba(255,255,255,0.1);
    backdrop-filter: blur(10px);
    text-align: center;
    transition: 0.3s;
}

/* HEADER CARD */
.header-card {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.card h3 {
    font-family: 'K2D-Thin', sans-serif;
    font-weight: 300;
    font-size: 1.06rem;
    margin-left: 20px;
}

.card .tag {
    font-size: 0.81rem;
    padding: 4px 10px;
    border-radius: 20px;
    background: #00ff591a;
    margin-right: 20px;
}

/* LINE */
.card hr {
    border: none;
    height: 1px;
    background: rgba(255,255,255,0.1);
    margin: 15px 0;
}

/* PRICE */
.card h2 {
    font-size: clamp(1.8rem, 3vw, 2.5rem);
    margin: 10px 30px 0px 0px;
}

.card h2 small {
    font-family: 'K2D-Thin', sans-serif;
    font-weight: 300;
    font-size: 0.88rem;
    opacity: 0.8;
    position: relative;
    bottom: 20px;
    
        margin-right: 10px;
}

.card span {
    font-family: 'K2D-Thin', sans-serif;
    font-weight: 300;
    display: block;
    margin-top: 20px;
    font-size: 0.88rem;
    color: #ffffffce;
}

/* FOOTER */
footer {
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    display: flex;
    justify-content: space-between;
}

/* ALERT */
.alert {
    font-family: 'K2D-Thin', sans-serif;
    font-weight: 300;
    display: flex;
    align-items: center;
    font-size: 0.94rem;
    gap: 10px;
    opacity: 0.9;
}

.alert img {
    width: 30px;
}

/* AUTHOR */
.author {
    font-family: 'K2D', sans-serif;
    font-weight: 300;
    display: flex;
    align-items: center;
    gap: 10px;
    opacity: 0.7;
}

.author img {
    width: 15px;
}





@media (orientation: portrait) {

    html, body {
        min-height: 100%;
        height: auto;
    }

    body {
        min-height: 100vh;
        background: linear-gradient(300deg, #27313A, #697173);
        background-repeat: no-repeat;
        background-size: cover;
        overflow-x: hidden;
        overflow-y: auto;
    }
    
    header {
        padding: 35px 0 0 30px;
        position: relative;
    }

    header h2 {
        font-size: 2.4rem;
        line-height: 1;
        opacity: 0.75;
    }

    main {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: stretch;
        min-height: auto;
        padding: 60px 80px 40px 80px;
        gap: 34px;
    }

    .left {
        max-width: 100%;
        margin-bottom: 50px;
    }

    .left h1 {
        font-size: 5rem;
        line-height: 0.98;
        white-space: normal;
        margin-bottom: 18px;
    }

    .left p {
        max-width: 100%;
        font-size: 1.8rem;
        line-height: 1.55;
        opacity: 0.78;
        margin-bottom: 70px;
    }

    .buttons {
        flex-direction: column;
        gap: 40px;
    }

    button {
        width: 80%;
        font-size: 2.5rem;
        padding: 14px 20px;
        border-radius: 999px;
        margin: 0 auto;
    }

    .right {
        min-width: 0;
        width: 100%;
        align-items: stretch;
        gap: 40px;
        position: static;
        margin-top: 50px;
    }

    .right .top {
        position: absolute;
        top: 35px;
        right: 30px;
        text-align: center;
        font-size: 2rem;
        opacity: 0.8;
        margin-bottom: 2px;
    }

    .card {
        width: 80%;
        max-width: 100%;
        padding: 18px 0 40px 0;
        border-radius: 14px;
        margin: 0 auto;
    }

    .header-card {
        padding: 0 14px;
    }

    .card h3 {
        font-size: 2rem;
        margin-left: 20px;
    }

    .card .tag {
        font-size: 1.4rem;
        padding: 4px 10px;
        margin-right: 20px;
    }

    .card hr {
        margin: 14px 0;
    }

    .card h2 {
        font-size: 5rem;
        margin: 6px 40px 0 0;
    }

    .card h2 small {
        font-size: 1.5rem;
        bottom: 40px;
    }

    .card span {
        margin-top: 12px;
        font-size: 1.5rem;
    }

    footer {
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        align-items: center;
        gap: 0;
        padding: 26px 22px 24px 22px;
        position: static;
    }

    .alert {
        width: 100%;
        align-items: center;
        gap: 10px;
        font-size: 1.3rem;
        line-height: 1.45;
        margin-bottom: 80px;
    }
 
    .alert img {
        width: 40px;
        margin-top: 2px;
        flex-shrink: 0;
    }

    .social {
        position: static;
        transform: none;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        padding: 0 200px;
        margin-bottom: 60px;
        gap: 0;
    }

    .social img {
        width: 30px;
        opacity: 0.65;
    }

    .author {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 10px;
        font-size: 1.8rem;
        opacity: 0.85;
    }

    .author img {
        width: 30px;
    }
}